<div>
  <!--TODO: Examine if ul may serve as style container in-place of the div-->
  <div id="card-container">
    <!--Use list to guarantee that the grids are never separated-->
    <ul id="card-ul">
      <li *ngFor="let row of this.symbols" class="card-row-li">
        <div *ngFor="let value of row" [className]="'card-cell ' + isWinSym(value)">
          {{value}}
        </div>
      </li>
    </ul>
  </div>

  <div class="ctrl-container">
    <mat-button-toggle-group name="betValue" aria-label="Bet value" [(ngModel)]="presenter.betVal" aria-selected="true">
      <mat-button-toggle *ngFor="let betValue of presenter.betValues" [value]="betValue"
                         (click)="presenter.onBetValueChange()">
        {{betValue}}
      </mat-button-toggle>
    </mat-button-toggle-group>

    <button mat-fab color="unset" aria-label="Wager" (click)="onWager()">
      <mat-icon>play_arrow</mat-icon>
    </button>
  </div>

  <div class="stats-container">
    <span id="balance">balance: {{balance}}</span>

    <span class="spacer"></span>

    <button id="pay-table-id" mat-icon-button color="red" title="Pay table"
            (click)="showBetInfoDialog(presenter.BetInfoType.PAY_TABLE)">
      <mat-icon>money</mat-icon>
    </button>

    <button id="bet-history-id" mat-icon-button title="Betting history"
            (click)="showBetInfoDialog(presenter.BetInfoType.BET_HISTORY)">
      <mat-icon>history</mat-icon>
    </button>
  </div>
</div>
